headless lms

The people with a role on a content item

GET /api/organizations/content/{contentId}/roles. The people with a role on a content item. Headless LMS People API reference.

GET
/api/organizations/content/{contentId}/roles

Requires people:read.

Path Parameters

contentId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/organizations/content/string/roles"
[  {    "orgUserId": "string",    "roleKey": "string",    "roleName": "string",    "contentId": "string",    "contentType": "course"  }]
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}